Subject: [PATCH LINUX v3 05/10] tty: xuartps: Improve startup function

From: [email-masked] (Peter Hurley)
Date: Sat, 5 Dec 2015 12:21:34 -0500

On 11/21/2015 09:59 PM, Soren Brinkmann wrote:
> The startup function is supposed to initialize the UART for receiving.
> Hence, don't enable the TX part. Also, protect HW accesses with the port
> lock.

Reviewed-by: Peter Hurley <[email-masked]>

NB: the request_irq() should be _after_ h/w programming, otherwise an
interrupt could be triggered and in-progress before the h/w has been
setup.